Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154922 - CAN-2005-1038 vixie-cron information leak
Summary: CAN-2005-1038 vixie-cron information leak
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: vixie-cron
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact: Brock Organ
URL:
Whiteboard: impact=moderate,public=20050406,sourc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-14 20:44 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: vixie-cron-4.1-33_FC3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-21 21:22:37 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-04-14 20:44:24 UTC
+++ This bug was initially created as a clone of Bug #154920 +++

crontab in Vixie cron 4.1, when running with the -e option, allows local users
to read the cron files of other users by changing the file being edited to a
symlink.  NOTE: there is insufficient information to know whether this is a
duplicate of CVE-2001-0235.

http://www.securityfocus.com/archive/1/395093

Comment 1 Jason Vas Dias 2005-04-15 00:27:10 UTC
This is fixed with vixie-cron-4.1-33_FC3, FC-3 update #320 .

Comment 2 Jason Vas Dias 2005-04-21 23:04:37 UTC
No errata covers the FC-3 update #320 - this problem is fixed with
 vixie-cron-4.1-33_FC3
and in
FC4's vixie-cron-4.1-33



Note You need to log in before you can comment on or make changes to this bug.